% echodemo bar_demo2

x = -2.9:0.2:2.9;
y = exp(-x.*x);
bar(x,y)
title('Bar Chart of a Bell Curve')
%%

stairs(x,y)
title('Stairs Chart of a Bell Curve')
%%

x = -2.9:0.2:2.9;  % specify the bins to use
y = randn(5000,1); % create 5000 random points
hist(y,x)          % draw the histogram
title('Histogram of Gaussian Data')
%%

y = randn(50,1); % create some random data
stem(y,':')      % draw a stem plot with dotted line
title('Stem Plot of Random Data')
%%

x = 0:0.1:2;  	      % create a vector
y = erf(x);   	      % y is the error function of x
e = rand(size(x))/10; % generate random error values
errorbar(x,y,e)       % create the plot
title('Errorbar Plot')
%%

z = eig(randn(20,20));
compass(z)
title('Compass Plot of the Eigenvalues of a Random Matrix')
%%

feather(z)
title('Feather Plot of the Eigenvalues of a Random Matrix')
%%

t = randn(1000, 1)*pi;
rose(t)
title('Angle Histogram of Random Angles')
%%

plot(eig(randn(20,20)),'x')
